<div *nzModalTitle>{{ headerText }}</div>

<div>
  <form nz-form [formGroup]="form" (ngSubmit)="onSubmit()">

    <nz-form-item class="analytics-token-name">
      <nz-form-label nzRequired [nzSpan]="10">Name</nz-form-label>
      <nz-form-control [nzErrorTip]="nameError" [nzSpan]="14">
        <nz-input-group [nzSuffix]="nameSuffix">
          <input
            nz-input
            placeholder="Name"
            [formControl]="nameController"
            autocomplete="off" />
        </nz-input-group>
        <ng-template #nameError let-control>
          <ng-container *ngIf="control.hasError('required')">
            Name is <strong>required</strong>
          </ng-container>
        </ng-template>
      </nz-form-control>
    </nz-form-item>
    <ng-template #nameSuffix>
      <nz-spin *ngIf="nameController.status === 'PENDING'" nzSize="small"></nz-spin>
      <fa-icon *ngIf="nameController.status === 'VALID'" [icon]="faCheckCircle"></fa-icon>
      <fa-icon *ngIf="nameController.touched && nameController.status === 'INVALID'" [icon]="faTimesCircle"></fa-icon>
    </ng-template>


    <nz-form-item class="analytics-token-description">
      <nz-form-label nzRequired [nzSpan]="10">Description</nz-form-label>
      <nz-form-control [nzSpan]="14" [nzErrorTip]="descriptionError">
        <nz-input-group>
          <textarea
            nz-input
            [rows]="5"
            placeholder="Description"
            [formControl]="descriptionController"
            autocomplete="off"></textarea>
        </nz-input-group>
        <ng-template #descriptionError let-control>
          <ng-container *ngIf="control.hasError('required')">
            Description is <strong>required</strong>
          </ng-container>
        </ng-template>
      </nz-form-control>
    </nz-form-item>


    <nz-form-item class="expires-form">
      <nz-form-label i18n="Optional Expiration Date | Input Field Header @@optionalExpirationDate" [nzSpan]="10">
        Optional Expiration Date
      </nz-form-label>
      <nz-form-control nzHasFeedback [nzErrorTip]="dateError" [nzSpan]="14">
        <nz-date-picker [formControl]="dateController" formControlName="expires" nzFormat="dd.MM.YYYY" ></nz-date-picker>
        <ng-template #dateError let-control>
          <ng-container
            *ngIf="dateController.errors"
            i18n="Invalid Expiration Date @@invalidExpirationDate">
            Expiration date needs to be at least 5 days in the future.
          </ng-container>
        </ng-template>
      </nz-form-control>
    </nz-form-item>

  </form>
</div>
<div *nzModalFooter>
  <button nz-button (click)="handleClose()" i18n="@@cancel">Cancel</button>
  <button nz-button i18n="Submit @@submit" (click)="onSubmit()"> Submit</button>
</div>
